<?php
/*******************************************************************************
			File:					admin_mistnost.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/auth.php';
require_once 'include/include.php';
require_once 'class/jqGrid.class.php';

$object = requestGETNum('object', 5);

require_once 'include/admin_page.inc.php';

$pageTitle = "Správa místností";



function handleGridData($sender, $args) {
	global $object;
	
	$page = $_GET['page'];
  $limit = $_GET['rows'];
  $sidx = $_GET['sidx'];
  $sord = $_GET['sord'];
  if (!$sidx)
		$sidx = 1;

  $where = "objekt_id='$object'";
  $from = "mistnost";
  $select = "*";

  $result = mysql_query("SELECT COUNT(*) AS count FROM $from WHERE $where");
  $row = mysql_fetch_array($result, MYSQL_ASSOC);
	$count = $row['count'];

	if( $count > 0 ) {
		$total_pages = ceil($count/$limit);
	} else {
		$total_pages = 0;
  }
  if ($page > $total_pages) $page=$total_pages;
	$start = $limit*$page - $limit; // do not put $limit*($page - 1)
	if ($start<0) $start = 0;

	$sql = "SELECT $select FROM $from WHERE $where ORDER BY $sidx $sord LIMIT  $start , $limit";

	$result = mysql_query($sql) or die("Could not execute query. ".mysql_error());

	$responseData = new jqGridResponseData($page, $total_pages, $count);

  while($row = mysql_fetch_array($result,MYSQL_ASSOC)) {
    $responseData->addRow($row["id"], true);

    $responseData->addCell($row["oznaceni"]);
    $responseData->addCell($row["alias_oznaceni"]);
    $responseData->addCell($row["podlazi"]);
    $responseData->addCell($row["ucel_id"]);
    $responseData->addCell($row["popis"]);
    $responseData->addCell($row["kapacita"]);
    $responseData->addCell('<input type="button" value="Upravit fotky" onclick="window.location = \'admin_mistnost_foto.php?room='.$row["id"].'&source='.encodeSourceURL('admin_mistnost.php?source='.encodeSourceURL(requestSourceURL())).'\'" />'
													);
  }

	return $responseData;
}

function handleGridOperation($sender, $args) {
	global $object;
	
  $oper = requestPOSTText("oper");

  if ($oper=='edit') {
    $id = requestPOSTText("id");

		$updateSet=array();

    $updateSet["oznaceni"] = requestPOSTText("oznaceni");
    $updateSet["alias_oznaceni"] = requestPOSTText("alias_oznaceni");
    $updateSet["podlazi"] = requestPOSTText("podlazi");
    $updateSet["ucel_id"] = requestPOSTText("ucel_id");
    $updateSet["popis"] = requestPOSTText("popis");
    $updateSet["kapacita"] = requestPOSTText("kapacita");

    $sqlUpdateSet = generateUpdateSet($updateSet);

    if ($sqlUpdateSet!="") {
      $sql = "UPDATE mistnost SET $sqlUpdateSet WHERE id='$id'";
      if (!mysql_query($sql)) {
        return false;
      }
    }
  } else if ($oper=='add') {
    $insertSet=array();

    $insertSet["objekt_id"] = $object;
    $insertSet["oznaceni"] = requestPOSTText("oznaceni");
    $insertSet["alias_oznaceni"] = requestPOSTText("alias_oznaceni");
    $insertSet["podlazi"] = requestPOSTText("podlazi");
    $insertSet["ucel_id"] = requestPOSTText("ucel_id");
    $insertSet["popis"] = requestPOSTText("popis");
    $insertSet["kapacita"] = requestPOSTText("kapacita");

    $sqlInsertSet = generateUpdateSet($insertSet);

    if ($sqlInsertSet!="") {
      $sql = "INSERT INTO mistnost SET $sqlInsertSet";
	     //mysql_query("INSERT INTO debug (time, script, get, post) VALUES (NOW(),'gridOperation','".addslashes("---")."','".addslashes($sql)."');") or die('Update error :'.mysql_error());

      if (!mysql_query($sql)) {
        return false;
      }
    }
  } else if ($oper=='del') {
    $id = requestPOSTText("id");

    $sql = "DELETE FROM mistnost WHERE id='$id'";
    if (!mysql_query($sql)) {
      return false;
    }
  }

  return true;
}

if ($login->is_logged==1) {

	$grid = new jqGrid("grid", 'handleGridData', 'handleGridOperation');

	$column = new jqGridColumn('oznaceni');
	$column->setLabel('Označení');
	$column->setWidth(100);
	$column->setEditType("text"); //text, textarea, checkbox, select, password, button, image, file, (custom)
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);


	$column = new jqGridColumn('alias_oznaceni');
	$column->setLabel('Alias označení');
	$column->setWidth(100);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('podlazi');
	$column->setLabel('Podlaží');
	$column->setWidth(60);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('ucel_id');
	$column->setLabel('Účel');
	$column->setWidth(60);
	$column->setEditType("select");

	$sql = "SELECT * FROM ucel";
	$query = mysql_query($sql);
	while ($record = mysql_fetch_array($query)) {
		$column->addValue($record['id'], $record['nazev']);
	}
	
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('popis');
	$column->setLabel('Popis');
	$column->setWidth(200);
	$column->setEditType("textarea");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('kapacita');
	$column->setLabel('Kapacita');
	$column->setWidth(80);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('operations');
	$column->setLabel('Fotky');
	$column->setWidth(100);
	$column->setEditable(false);
	$column->setSortable(false);
	$grid->addColumn($column);


  generateHeader("Administrace - $pageTitle");
	$grid->generateGrid();
  generateFooter();
  
} else {
  generateHeader("Administrace - $pageTitle");
  $login->show_login_form();
  generateFooter();
}
?>