<?php
/*******************************************************************************
			File:					info.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/include.php';

$room = requestGETNum('room', 0);

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<meta name="generator" content="PSPad editor, www.pspad.com">
	<meta name="author" content="Bc. Libor Maňák">
	<meta name="copyright" content="&copy; 2010-2011 Bc. Libor Maňák">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >
	<title>Interaktivní mapa budovy</title>

	<link rel="stylesheet" type="text/css" media="screen" href="css/layout100p.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="css/smoothness/jquery-ui-1.8.11.custom.css" />
	<link rel="stylesheet" type="text/css" href="css/jquery.cluetip.css" />
	<link rel="stylesheet" href="css/prettyPhoto.css" type="text/css" media="screen" title="prettyPhoto main stylesheet" charset="utf-8" />

	<style type="text/css">
    #viewport {
        width: 100%;
        /*height: 400px;*/
        cursor: move;
        overflow: hidden;
        /*background-color: yellow;*/
    }
	</style>
	


	<script type="text/javascript" src="js/jquery-1.5.min.js"></script>
	<script type="text/javascript" src="js/jquery.metadata.min.js"></script>
	<script type="text/javascript" src="js/jquery.maphilight.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.mousewheel.js"></script>
	<script type="text/javascript" src="js/jquery.timers-1.2.js"></script>
	<script type="text/javascript" src="js/jquery.hoverIntent.js"></script>
	<script type="text/javascript" src="js/jquery.bgiframe.min.js"></script>
	<script type="text/javascript" src="js/jquery.cluetip.js"></script>
	<script type="text/javascript" src="js/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script>

	<script type="text/javascript">
	$(function() {
		// Hlídání velikosti viewportu (div pro hranice mapy)
		$(window).resize(function() {
			$("#viewport").height($("#container").height() - $("#content").offset().top - $("#footer").height()-3);
			//$("#viewport").width(); //100%
		});
		$(window).resize();
	});
	</script>
	<script type="text/javascript">
  $(function() {
  	//
	});
	</script>
</head>
<body>

	<div id="container">
		<div id="header">
			<div style="height:50px;vertical-align:middle;">
        <span style="float:left;"><div style="position:absolute;left:10px;top:6px;"><img border="0" src="images/utb_logo.gif" width="25" height="37"></div></span>
				<span style="float:left;"><div style="position:absolute;left:50px;top:12px;">
				<h2><b>Interaktivní mapa budovy</b> - Informace o místnosti <?php
echo mistnost_oznaceni($room);

if (mistnost_oznaceni_alias($room)!="") {
	echo ' (<i>'.mistnost_oznaceni_alias($room).'</i>)';
}
?></h2></div></span>
			</div>
		</div>
		<div id="content">
<?php
	echo "<br />";
	echo "<b>Účel:</b> ".ucel_nazev(mistnost_ucel($room))."<br />";
	if (mistnost_kapacita($room)!="") {
		echo "<b>Kapacita:</b> ".mistnost_kapacita($room)."<br />";
	}
	if (mistnost_popis($room)!="") {
		echo "<b>Popis:</b><br />".mistnost_popis($room)."<br />";
	}
	
	
	$sql = "SELECT * FROM mistnost_fotka WHERE mistnost_id='$room'";
	$query = mysql_query($sql);
	if (mysql_num_rows($query) > 0) {
?>
		<br /><b>Galerie fotek</b><br />
		<ul class="gallery clearfix">
<?php
	$idx=0;
	while ($record = mysql_fetch_array($query)) {
		echo '<li style="display: inline;">';
		echo '<a href="get_roomfoto.php?id='.$record["id"].'" rel="prettyPhoto[gallery1]" title="'.$record["popis"].'">';
		echo '<img src="get_roomfoto.php?id='.$record["id"].'" width="100" height="100" alt="'.$record["nazev"].'" />';
		echo '</a>';
		echo '</li>'."\n";
		$idx++;
	}
?>
		</ul>
		
			<script type="text/javascript" charset="utf-8">
			$(document).ready(function(){
				$(".gallery:first a[rel^='prettyPhoto']").prettyPhoto({animation_speed:'normal',theme:'facebook',slideshow:3000, autoplay_slideshow: false, social_tools:" "});
			});
			</script>

<?php
	}
?>
		<br /><br />
	
		</div>
		<div id="footer">
<?php
	if (requestSourceURL()!="") {
?>
		  <div id="panelBack" style="float:left;font-size:60%" >&nbsp;<< Zpět&nbsp;</div>
			<script type="text/javascript">
		  $(function() {
				$("#panelBack").button();
				$("#panelBack").click(function() { window.location = "<?php echo requestSourceURL(); ?>"; });
			});
			</script>
<?php
	}
?>
			<div style="text-align: right;"><span style="font-size:12px"><a href="pdf/napoveda_uzivatel.pdf">Nápověda</a>&nbsp;&nbsp;<span style="font-size:9px">&copy; 2010-2011 Libor Maňák</span></div>
		</div>
	</div>

</body>
</html>