/*******************************************************************************
			File:					viewport.editable.php
			Author:				Libor Maňák
*******************************************************************************/

function makeEditable() {
	$("#imgMap").click(function(e) {
		if (selectedRadio=="radioMainMove") { // Move map

		} else if (selectedRadio=="radioRoomAddCoord") { // Insert "point"
			var l = (e.pageX - $('#viewport').offset().left - $('#viewport_image').position().left - editable_sizePosBox)+"px";
			var t = (e.pageY - $('#viewport').offset().top - $('#viewport_image').position().top - editable_sizePosBox)+"px";
			$('#mapaobjekty').append('<div class="positionableBox">');
			$('#mapaobjekty div').last("div").css({left:l, top:t, "background-color": "red" });
			
			setBoxesAsPositionable();

			saveCoords();
		} else if (selectedRadio=="radioRoomRemoveCoord") { //Remove "point"
			//implementováno v $(".positionableBox").click()
		} else if (selectedRadio=="radioPathAddCoord") { // Insert "point"
			var l = (e.pageX - $('#viewport').offset().left - $('#viewport_image').position().left - editable_sizePosBox)+"px";
			var t = (e.pageY - $('#viewport').offset().top - $('#viewport_image').position().top - editable_sizePosBox)+"px";
			$('#mapaobjekty').append('<div class="positionableBox">');
			$('#mapaobjekty div').last("div").css({left:l, top:t, "background-color": "red" });

			setBoxesAsPositionable();

			saveCoords();
		} else if (selectedRadio=="radioPathRemoveCoord") { //Remove "point"
      //implementováno v $(".positionableBox").click()
		} else {
			var l = (e.pageX - $('#viewport').offset().left - $('#viewport_image').position().left - editable_sizePosBox)+"px";
			var t = (e.pageY - $('#viewport').offset().top - $('#viewport_image').position().top - editable_sizePosBox)+"px";
			$('#mapaobjekty').append('<div class="positionableBox">');
			$('#mapaobjekty div').last("div").css({left:l, top:t, "background-color": "red" });

			setBoxesAsPositionable();

			saveCoords();

		}
	});
}

// vrátí pozice boxů (např. 10,20;50,30)
function createCoords() {
	var ccoords="";
	$('#mapaobjekty div').each(function(index) {
		if (ccoords != "") {
			ccoords = ccoords + ";";
		}
		pos = positionOfBox($(this));
		ccoords = ccoords + Math.floor(pos[0]/*l*/)+','+Math.round(pos[1]/*t*/);
	});
	return ccoords;
}

function calcZoom(value) {
	return Math.round(parseInt(value) * (zoom_map / 100));
}

//vykreslí čáry pro objekty dle coords/jsonmap
function drawCoords(coords) {
	if (mode=="coords") {
		var aCoords = coords.split(';');
		var pointsX = new Array();
		var pointsY = new Array();
		var idx = 0;
		$.each(aCoords, function(index, value) {
			var c = value.split(',');
			pointsX[idx] = calcZoom(c[0]);
			pointsY[idx] = calcZoom(c[1]);
			idx++;
		});

		if (pointsX.length > 0) {
			//uzavřít polygon
			pointsX[idx] = pointsX[0];
			pointsY[idx] = pointsY[0];

			var jg = new jsGraphics("viewport_image_draw");
			$("#viewport_image_draw").html("");
			jg.setColor("red");
			jg.drawPolyline(pointsX, pointsY);
			jg.paint();
		}

		//loadListCoords(coords);
		loadListCoords(getCoords());
  } else if (mode=="path") {
    if (coords=="") {
			coords="[]";
		}
    var j = jQuery.parseJSON(coords);

		$.each(j, function(index, value) {
		  if (actual_storey == value.storey) {
				var aCoords = value.coords.split(';');
				var pointsX = new Array();
				var pointsY = new Array();
				var idx = 0;
				$.each(aCoords, function(index, value) {
					var c = value.split(',');
					pointsX[idx] = calcZoom(c[0]);
					pointsY[idx] = calcZoom(c[1]);
					idx++;
				});
				
				if (pointsX.length > 0) {
					var jg = new jsGraphics("viewport_image_draw");
					$("#viewport_image_draw").html("");
					jg.setColor("red");
					jg.drawPolyline(pointsX, pointsY);
					jg.paint();
				}
		
			}
		});
  
		//loadListCoords(coords);
		loadListPathCoords(getCoords());
	} else if (mode=="jsonmap") {
	  var value = coords;
	  
	  if ((value.type=="ellipse") || (value.type=="circle") || (value.type=="arc")) {
			v=value.coords.split(',');
			v[0]=parseInt(v[0]); //X
			v[1]=parseInt(v[1]); //Y
			v[2]=parseInt(v[2]); //Průměr/Šířka
			if ((value.type=="ellipse") || (value.type=="arc")) {
        v[3]=parseInt(v[3]);//Výška
			} else {
        v[3]=v[2]; //výška, protože kreslíme pomocí elipsy
			}
			if (value.type=="arc") {
        v[4]=parseInt(v[4]); //od
        v[5]=parseInt(v[5]); //do
			}
			var jg = new jsGraphics("viewport_image_draw");
			$("#viewport_image_draw").html("");
			jg.setColor("red");
			jg.drawEllipse(Math.round(v[0]-(v[2]/2)), Math.round(v[1]-(v[3]/2)), v[2], v[3]);
			jg.paint();
	  } else if ((value.type=="polyline") || (value.type=="polygon") || (value.type=="staircase")) {
			var aCoords = coords.coords.split(';');
			var pointsX = new Array();
			var pointsY = new Array();
			var idx = 0;
			$.each(aCoords, function(index, value) {
				var c = value.split(',');
				pointsX[idx] = calcZoom(c[0]);
				pointsY[idx] = calcZoom(c[1]);
				idx++;
			});

			if (pointsX.length > 0) {
			  if (value.type=="polygon") {
					//uzavřít polygon
					pointsX[idx] = pointsX[0];
					pointsY[idx] = pointsY[0];
				}

				var jg = new jsGraphics("viewport_image_draw");
				$("#viewport_image_draw").html("");
				jg.setColor("red");
				jg.drawPolyline(pointsX, pointsY);
				jg.paint();
			}
   } else if (value.type=="sign") {
			//není vyžadováno
   } else if (value.type=="rectangle") {
			v=value.coords.split(',');
			v[0]=parseInt(v[0]); //X
			v[1]=parseInt(v[1]); //Y
			v[2]=parseInt(v[2]); //Šířka
			v[3]=parseInt(v[3]); //Výška
			
			var jg = new jsGraphics("viewport_image_draw");
			$("#viewport_image_draw").html("");
			jg.setColor("green");
			jg.drawRect(v[0],v[1],v[2],v[3]);
			jg.paint();

   }
	  
	  
	}
}

function addCoords(coords) {
	if ((coords=="") || (coords=="N/A")) {
		return;
	}
	
	if (mode=="path") {
    var j = jQuery.parseJSON(coords);
    
		$.each(j, function(index, value) {
		  if (actual_storey == value.storey) {
				var aCoords = value.coords.split(';');
				var pointsX = new Array();
				var pointsY = new Array();

				$.each(aCoords, function(index, value) {
					var c = value.split(',');
					addBox(parseInt(c[0]), parseInt(c[1]));
				});
			}
		});
	} else {
		var aCoords = coords.split(';');
		var pointsX = new Array();
		var pointsY = new Array();

		$.each(aCoords, function(index, value) {
			var c = value.split(',');
			addBox(parseInt(c[0]), parseInt(c[1]));
		});
	}
}

function addBox(x, y, bgcolor) {
	if ((bgcolor==null) || (bgcolor=="undefined") || (bgcolor=="")) { // default
		bgcolor="red";
	}
	var l = (calcZoom(x) - editable_sizePosBox)+"px";
	var t = (calcZoom(y) - editable_sizePosBox)+"px";
	$('#mapaobjekty').append('<div class="positionableBox">');
	$('#mapaobjekty div').last("div").css({left:l, top:t, "background-color": bgcolor });
	
  setBoxesAsPositionable();
}

function setBoxesAsPositionable() {
	$(".positionableBox").draggable({
		start: function(event, ui) { },
		drag: function() { },
		stop: function(event, ui) { saveCoords(); }
	});

	$(".positionableBox").click(function () {
		if (selectedRadio=="radioRoomRemoveCoord") { //Remove "point"
			$(this).remove();
			var c = createCoords();
			clearCoords();
			setCoords(c);

			addCoords(getCoords());
			drawCoords(getCoords());
		} else if (selectedRadio=="radioPathRemoveCoord") { //Remove "point"
      $(this).remove();
			saveCoords();
		}
	});

	$(".positionableBox").mouseover(function() {
		$(this).css({"background-color": "green" });
	});

	$(".positionableBox").mouseout(function(){
		$(this).css({"background-color": "red" });
	});
}

function positionOfBox(box) {
	return new Array(
		(((box.position().left/zoom_map)*100) - $("#imgMap").position().left)  +editable_sizePosBox   /*left*/
									,
		(((box.position().top/zoom_map)*100) - $("#imgMap").position().top)    +editable_sizePosBox   /*top*/
									);
}

function saveCoords() {
  if (mode=="coords") {
		var ccoords = createCoords();
		if (ccoords=="") {
			setCoords("N/A");
		} else {
			setCoords(ccoords);
		}

		drawCoords(ccoords);
  } else if (mode=="path") {
		var ccoords = createCoords();
		
		var j = jQuery.parseJSON(getCoords());
		
		var idx = -1;
		$.each(j, function(index, value) {
		  if (actual_storey == value.storey) {
				idx = index;
			}
		});
		
		if (idx == -1) {
			var itm = {"storey":actual_storey,"coords":ccoords};
			j.push(itm);
		} else {
			j[idx].coords = ccoords;
		}

		setCoords($.toJSON(j));

		drawCoords(getCoords());
	} else if (mode=="jsonmap") {
	  var ccoords = createCoords();
		var aCoords = ccoords.split(';');
		var j = jQuery.parseJSON(jsonmap);
		
		if ((j[$("#lstJsonMap").val()].type=="circle") || (j[$("#lstJsonMap").val()].type=="ellipse") || (j[$("#lstJsonMap").val()].type=="arc")
				 || (j[$("#lstJsonMap").val()].type=="rectangle")  || (j[$("#lstJsonMap").val()].type=="sign")  || (j[$("#lstJsonMap").val()].type=="fill")) {
			var cc = Array();
			var idx = 0;
			$.each(aCoords, function(index, value) {
				var c = value.split(',');
				$.each(c, function(index, value) {
	    		cc[idx] = parseInt(value);
	    		cc[idx] = cc[idx];
					idx++;
				});
			});

			if (j[$("#lstJsonMap").val()].type=="circle") {
				j[$("#lstJsonMap").val()].coords = cc[0]+','+cc[1]+','+((cc[2]-cc[0])*2);
			} else if (j[$("#lstJsonMap").val()].type=="ellipse") {
	      j[$("#lstJsonMap").val()].coords = cc[0]+','+cc[1]+','+((cc[2]-cc[0])*2)+','+((cc[5]-cc[1])*2);
			} else if (j[$("#lstJsonMap").val()].type=="arc") {
			  j[$("#lstJsonMap").val()].coords = cc[0]+','+cc[1]+','+((cc[2]-cc[0])*2)+','+((cc[5]-cc[1])*2)+','+$("#txtStart").val()+','+$("#txtEnd").val();
			} else if (j[$("#lstJsonMap").val()].type=="rectangle") {
				j[$("#lstJsonMap").val()].coords = cc[0]+','+cc[1]+','+(cc[2]-cc[0])+','+(cc[5]-cc[1]);
			} else if (j[$("#lstJsonMap").val()].type=="sign") {
				j[$("#lstJsonMap").val()].coords = cc[0]+','+cc[1];
			} else if (j[$("#lstJsonMap").val()].type=="fill") {
				j[$("#lstJsonMap").val()].coords = cc[0]+','+cc[1];
			}
		} else if((j[$("#lstJsonMap").val()].type=="polyline") || (j[$("#lstJsonMap").val()].type=="polygon") || (j[$("#lstJsonMap").val()].type=="staircase")) {
			var idx = 0;
			var ac = "";
			$.each(aCoords, function(index, value) {
				var c = value.split(',');
				if (ac!="") {
					ac += ';';
				}
				
				ac += c[0] + ',' + c[1];
				idx++;
			});
			j[$("#lstJsonMap").val()].coords = ac;
		}
		
		jsonmap = $.toJSON(j);

		/*clearCoords();
		createForImageFromJsonMap($("#lstJsonMap").val(), j[$("#lstJsonMap").val()]);*/
		drawCoords( j[$("#lstJsonMap").val()] );
		
		createItemProperties($("#lstJsonMap").val(), j[$("#lstJsonMap").val()]);
	}
}

function clearCoords() {
	$("#viewport_image_draw").html(""); //odstranit namalované
	$('#mapaobjekty').html(""); //odstranit boxy
	setCoords("N/A");
	$('#lstCoords').html("");
}

function loadListCoords(coords) {
	$('#lstCoords').html("");
	var aCoords = coords.split(';');
	
	$.each(aCoords, function(index, value) {
		var c = value.split(',');
		$('#lstCoords').append('<option value="'+parseInt(c[0])+','+parseInt(c[1])+'">'+parseInt(c[0])+','+parseInt(c[1])+'</option>');
	});
}

function loadListPathCoords(coords) {
	$('#lstCoordsPath').html("");
	

  var j = jQuery.parseJSON(coords);

	$.each(j, function(index, value) {
		if (actual_storey == value.storey) {
			var aCoords = value.coords.split(';');

			$.each(aCoords, function(index, value) {
				var c = value.split(',');
				$('#lstCoordsPath').append('<option value="'+parseInt(c[0])+','+parseInt(c[1])+'">'+parseInt(c[0])+','+parseInt(c[1])+'</option>');
			});
		}
	});
	
/*	var aCoords = coords.split(';');

	$.each(aCoords, function(index, value) {
		var c = value.split(',');
		$('#lstCoordsPath').append('<option value="'+parseInt(c[0])+','+parseInt(c[1])+'">'+parseInt(c[0])+','+parseInt(c[1])+'</option>');
	});*/
}

function getCoords() {
	return $('#outCoords').html();
}

function setCoords(value) {
	if (mode=="path") {
	  if (value=="") {
      $('#outCoords').html("[]");
		} else {
			$('#outCoords').html(value);
		}
	} else {
		$('#outCoords').html(value);
	}
}

$(function() {
	makeEditable();
});