/*******************************************************************************
			File:					viewport.editable.properties.php
			Author:				Libor Maňák
*******************************************************************************/

function pointMove(value) {
  var selC = $("#lstJsonMapCoords").val();
	if (value=="U") {
		$('#mapaobjekty div').each(function(index , value) {
			pos = positionOfBox($(this));
			if (selC==Math.round(pos[0])+','+Math.round(pos[1])) {
				var pos = positionOfBox($(this));
				var l = ((pos[0] - editable_sizePosBox))+"px";
			  var t = ((pos[1] - editable_sizePosBox)-1)+"px";
				$(value).css({left:l, top:t});
			}
		});
	} else if (value=="D") {
		$('#mapaobjekty div').each(function(index , value) {
			pos = positionOfBox($(this));
			if (selC==Math.round(pos[0])+','+Math.round(pos[1])) {
				var pos = positionOfBox($(this));
				var l = ((pos[0] - editable_sizePosBox))+"px";
			  var t = ((pos[1] - editable_sizePosBox)+1)+"px";
				$(value).css({left:l, top:t});
			}
		});
	} else if (value=="L") {
		$('#mapaobjekty div').each(function(index , value) {
			pos = positionOfBox($(this));
			if (selC==Math.round(pos[0])+','+Math.round(pos[1])) {
				var pos = positionOfBox($(this));
				var l = ((pos[0] - editable_sizePosBox)-1)+"px";
			  var t = ((pos[1] - editable_sizePosBox))+"px";
				$(value).css({left:l, top:t});
			}
		});
	} else if (value=="R") {
		$('#mapaobjekty div').each(function(index , value) {
			pos = positionOfBox($(this));
			if (selC==Math.round(pos[0])+','+Math.round(pos[1])) {
				var pos = positionOfBox($(this));
				var l = ((pos[0] - editable_sizePosBox)+1)+"px";
			  var t = ((pos[1] - editable_sizePosBox))+"px";
				$(value).css({left:l, top:t});
			}
		});
	}
	
	saveCoords();
}

function createItemProperties(index, value) {
  clearItemProperties();
  $("#actionItemProperties").append(value.type+' ('+index+')'+'<br />');

  if ((value.type=="line") || (value.type=="polyline") || (value.type=="polygon") || (value.type=="staircase")) {
	  var sel="";
	  sel += '<select id="lstJsonMapCoords" size="4">';
		var vals=value.coords.split(';');
		$.each(vals, function(indexc, valuec) {

			v=valuec.split(',');
			v[0]=parseInt(v[0]);
			v[1]=parseInt(v[1]);
			sel += '<option value="'+/*indexc*/valuec+'">'+v[0]+','+v[1]+'</option>';
		});
	  sel += '</select><br />';

	  $("#actionItemProperties").append(sel);
	  

	  
					$("#lstJsonMapCoords").change( function() {
		  			var selC = $(this).val();

						$('#mapaobjekty div').each(function(index , value) {

							pos = positionOfBox($(this));
							if (selC==Math.round(pos[0])+','+Math.round(pos[1])) {
								$(value).css({"background-color": "yellow" });
							} else {
		          	$(value).css({"background-color": "red" });
							}
						});

					});

   $("#actionItemProperties").append('<a href="javascript:pointMove('+"'L'"+');" id="btnPointLeft" style="font-size:75%"> < </a>');
   $("#actionItemProperties").append('<a href="javascript:pointMove('+"'R'"+');" id="btnPointRight" style="font-size:75%"> > </a>');
   $("#actionItemProperties").append('<a href="javascript:pointMove('+"'U'"+');" id="btnPointUp" style="font-size:75%"> ^ </a>');
   $("#actionItemProperties").append('<a href="javascript:pointMove('+"'D'"+');" id="btnPointDown" style="font-size:75%"> v </a>');
   $("#actionItemProperties").append('<br />');
   
   $("#btnPointUp").button();
   $("#btnPointDown").button();
   $("#btnPointRight").button();
   $("#btnPointLeft").button();
					
  } else if ((value.type=="rectangle") || (value.type=="ellipse") || (value.type=="circle") || (value.type=="arc")) {
    var sel = "";
		v=value.coords.split(',');
		v[0]=parseInt(v[0]);
		v[1]=parseInt(v[1]);
		v[2]=parseInt(v[2]);
		if (value.type!="circle") {
			v[3]=parseInt(v[3]);
		}
    sel += 'X: <input type="text" name="txtX" id="txtX" value="'+v[0]+'" style="width:50px"><br />';
    sel += 'Y: <input type="text" name="txtY" id="txtY" value="'+v[1]+'" style="width:50px"><br />';
    
    if (value.type=="circle") {
    	sel += 'Průměr: <input type="text" name="txtD" id="txtD" value="'+v[2]+'" style="width:50px"><br />';
    } else {
    	sel += 'Šířka: <input type="text" name="txtWidth" id="txtWidth" value="'+v[2]+'" style="width:50px"><br />';
    	sel += 'Výška: <input type="text" name="txtHeight" id="txtHeight" value="'+v[3]+'" style="width:50px"><br />';
    }
    if (value.type=="arc") {
			v[4]=parseInt(v[4]);
			v[5]=parseInt(v[5]);
    	sel += 'Začátek: <input type="text" name="txtStart" id="txtStart" value="'+v[4]+'" style="width:50px"> °<br />';
    	sel += 'Konec: <input type="text" name="txtEnd" id="txtEnd" value="'+v[5]+'" style="width:50px"> °<br />';
		}
    $("#actionItemProperties").append(sel);
	} else if (value.type=="sign") {
    var sel = "";
		v=value.coords.split(',');
		v[0]=parseInt(v[0]);
		v[1]=parseInt(v[1]);
    sel += 'X: <input type="text" name="txtX" id="txtX" value="'+v[0]+'" style="width:50px"><br />';
    sel += 'Y: <input type="text" name="txtY" id="txtY" value="'+v[1]+'" style="width:50px"><br />';
    sel += 'ID obrázku: <input type="text" name="txtID" id="txtID" value="'+value.id+'" style="width:50px"><br />';

    $("#actionItemProperties").append(sel);
 } else if (value.type=="fill") {
    var sel = "";
		v=value.coords.split(',');
		v[0]=parseInt(v[0]);
		v[1]=parseInt(v[1]);
    sel += 'X: <input type="text" name="txtX" id="txtX" value="'+v[0]+'" style="width:50px"><br />';
    sel += 'Y: <input type="text" name="txtY" id="txtY" value="'+v[1]+'" style="width:50px"><br />';
    $("#actionItemProperties").append(sel);
	}

	if ((value.type=="line") || (value.type=="polyline")) {
    addCoordsItemProperties(value);
    addColorItemProperties(value);
    addThicknessItemProperties(value);
	} else if ((value.type=="polygon") || (value.type=="rectangle") || (value.type=="ellipse") || (value.type=="circle") || (value.type=="arc")) {
    addCoordsItemProperties(value);
    addColorItemProperties(value);
    addFillcolorItemProperties(value);
    addThicknessItemProperties(value);
	} else if (value.type=="sign") {
    addCoordsItemProperties(value);
    //addIdItemProperties(value);
  } else if (value.type=="fill") {
    addCoordsItemProperties(value);
    addFillcolorItemProperties(value);
	} else if (value.type=="staircase") {
    addCoordsItemProperties(value);
    addColorItemProperties(value);
    addThicknessItemProperties(value);

	} else {
		alert("Unknown type '"+value.type+"'");
	}
	
	
	addUseButtonItemProperties(value);
}

function clearItemProperties() {
  $("#actionItemProperties").html('');
}

function addCoordsItemProperties(value) {
  //$("#actionItemProperties").append('Coords: '+value.coords+'<br />');
}

function addColorItemProperties(value) {
  $("#actionItemProperties").append('Barva: <input type="text" name="txtColor" id="txtColor" value="'+value.color+'" style="width:60px"><br />');
}

function addFillcolorItemProperties(value) {
  $("#actionItemProperties").append('Barva výplně: <input type="text" name="txtFillcolor" id="txtFillcolor" value="'+value.fillcolor+'" style="width:60px"><br />');
}

function addThicknessItemProperties(value) {
  $("#actionItemProperties").append('Tloušťka čáry: <input type="text" name="txtThickness" id="txtThickness" value="'+value.thickness+'" style="width:50px"><br />');
}

function addUseButtonItemProperties(value) {
  $("#actionItemProperties").append('<a href="javascript:useItemProperties();" id="btnUse" style="font-size:75%">Použít</a><script>$("#btnUse").button();</script>');
}


function useItemProperties() {
  var j = jQuery.parseJSON(jsonmap);

	var isColor = typeof $("#txtColor").val() != 'undefined';
	var isFillcolor = typeof $("#txtFillcolor").val() != 'undefined';
	var isThickness = typeof $("#txtThickness").val() != 'undefined';
	var isID = typeof $("#txtID").val() != 'undefined';

	if (isColor) {
		j[$("#lstJsonMap").val()].color = $("#txtColor").val();
	}
	if (isFillcolor) {
		j[$("#lstJsonMap").val()].fillcolor = $("#txtFillcolor").val();
	}
	if (isThickness) {
		j[$("#lstJsonMap").val()].thickness = $("#txtThickness").val();
	}
	if (isID) {
		j[$("#lstJsonMap").val()].id = $("#txtID").val();
	}

	jsonmap = $.toJSON(j);
}