<?php
/*******************************************************************************
			File:					map.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/include.php';

$object = requestGETNum('object', 5);
$storey = requestGETNum('storey', 1);
$zoom = requestGETNum('zoom', 100);

$zoomMin = 30;
$zoomMax = 200;

//omezení zoomu
if ($zoom>$zoomMax) {
	$zoom=$zoomMax;
} else if ($zoom<$zoomMin) {
	$zoom=$zoomMin;
}

//--- vyhledani mistnosti
$room_found=false;
$room = requestGETText('room', '');

//--- vyhledani cesta
$pathfrom = requestGETNum('pathfrom', 1);
$pathto = requestGETText('pathto', '');
$pathtype = requestGETNum('pathtype', 0);

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<meta name="generator" content="PSPad editor, www.pspad.com">
	<meta name="author" content="Bc. Libor Maňák">
	<meta name="copyright" content="&copy; 2010-2011 Bc. Libor Maňák">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >
	<title>Interaktivní mapa budovy</title>

	<link rel="stylesheet" type="text/css" media="screen" href="css/layout100p.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="css/smoothness/jquery-ui-1.8.11.custom.css" />
	<link rel="stylesheet" href="css/jquery.cluetip.css" type="text/css" />

	<style type="text/css">
    #viewport {
        width: 100%;
        /*height: 400px;*/
        cursor: move;
        overflow: hidden;
        /*background-color: yellow;*/
    }
	</style>

	<script type="text/javascript" src="js/jquery-1.5.min.js"></script>
	<script type="text/javascript" src="js/jquery.metadata.min.js"></script>
	<script type="text/javascript" src="js/jquery.maphilight.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.mousewheel.js"></script>
	<script type="text/javascript" src="js/jquery.timers-1.2.js"></script>
	<script type="text/javascript" src="js/jquery.hoverIntent.js"></script>
	<script type="text/javascript" src="js/jquery.bgiframe.min.js"></script>
	<script type="text/javascript" src="js/jquery.cluetip.js"></script>

	<script type="text/javascript">
	$(function() {
		// Hlídání velikosti viewportu (div pro hranice mapy)
		$(window).resize(function() {
			$("#viewport").height($("#container").height() - $("#content").offset().top - $("#footer").height()-3);
			//$("#viewport").width(); //100%
		});
		$(window).resize();
	});
	</script>
<?php
	$avStoreys='';
	$sql = "SELECT * FROM mapa WHERE objekt_id='$object' AND vrstva_id='1'";
	$query = mysql_query($sql);
	while ($record = mysql_fetch_array($query)) {
		if ($avStoreys!="") {
			$avStoreys .= ",";
		}
		$avStoreys .= $record["podlazi"];
	}
	$avStoreys = "[$avStoreys]";
?>
	<script type="text/javascript">
		var actual_object = <?php echo $object; ?>;
		var actual_storey = <?php echo $storey; ?>;
		var available_storeys = <?php echo $avStoreys; ?>;
		var actual_editor = 0;
		
		var actual_room = "<?php echo $room; ?>";
		var actual_pathfrom = "<?php echo $pathfrom; ?>";
		var actual_pathto = "<?php echo $pathto; ?>";
		var actual_pathtype = "<?php echo $pathtype; ?>";
	</script>
	<script type="text/javascript" src="js/viewport.interactivemap.js"></script>
	<script type="text/javascript" src="js/viewport.moveable.js"></script>
	<script type="text/javascript">
		var zoom_actual = <?php echo $zoom; ?>;
		var zoom_map = <?php echo $zoom; ?>;
		var zoom_min = <?php echo $zoomMin; ?>;
		var zoom_max = <?php echo $zoomMax; ?>;

		function zoomableEventFirst() {

		}

		function zoomableEventBeforeZoom() {
			$("#zoomActual").html(zoom_actual+"%");
		}

		function zoomableEventZoom() {
      setViewportLoading();
			$("#viewport_image").load('interactivemap.php?object='+actual_object+'&storey='+actual_storey+'&zoom='+zoom_actual+'&room='+actual_room+'&pathfrom='+actual_pathfrom+'&pathto='+actual_pathto+'&pathtype='+actual_pathtype, function() {
				makeMoveable();
				makeMapHighlight();
			});
		}
	</script>
	<script type="text/javascript" src="js/viewport.zoomable.js"></script>
	<script type="text/javascript" src="js/viewport.maphighlight.js"></script>
	<script type="text/javascript" src="js/viewport.buttons.js"></script>

	<script type="text/javascript">
		function clickRoom(id) {
		  window.location = "info.php?room="+id+"&source=<?php echo generateSourceURL(); ?>";
			viewportMoveableRefresh();
		}

		$(function() {
      setViewportLoading();
			$("#viewport_image").load('interactivemap.php?object='+actual_object+'&storey='+actual_storey+'&zoom='+zoom_actual+'&room='+actual_room+'&pathfrom='+actual_pathfrom+'&pathto='+actual_pathto+'&pathtype='+actual_pathtype, function() {
				makeMoveable();
				makeMapHighlight();
			});
		});
	</script>

</head>
<body>

	<div id="container">
		<div id="header">
			<div style="height:50px;vertical-align:middle;">
        <span style="float:left;"><div style="position:absolute;left:10px;top:6px;"><img border="0" src="images/utb_logo.gif" width="25" height="37"></div></span>
				<span style="float:left;"><div style="position:absolute;left:50px;top:12px;">
				<h2><b>Interaktivní mapa budovy</b> <?php
					echo objekt_nazev($object)." - <span id='actStorey'>$storey. podlaží</span>";
				?></h2></div></span>
				
				<div  style="text-align: right;">

				  <div style="position:relative;left:-15px;">
				    <form action="search.php" method="get">
				    	<small><a href="search.php?type=path">hledat cestu</a></small><br />
							Vyhledat místnost: <input type="text" name="s" value="<?php echo $room; ?>">
						</form>
					</div>
					
				</div>
				
			</div>
		</div>
		<div id="content">
			<div id="viewport" style="overflow: hidden;  position: relative;">
				<div id="viewport_image" style="position: absolute; display: block; left: 0px; top: 0px;">

				</div>

				<div style="position:absolute;font-size:45%;">
					<a href="javascript:moveMap('N');" id="btnN" name="btn" style="position:absolute;left:24px;top:5px;">Posunout nahoru</a>
					<a href="javascript:moveMap('S');" id="btnS" name="btn" style="position:absolute;left:24px;top:45px;">Posunout dolů</a>
					<a href="javascript:moveMap('W');" id="btnW" name="btn" style="position:absolute;left:5px;top:25px;">Posunout doleva</a>
					<a href="javascript:moveMap('E');" id="btnE" name="btn" style="position:absolute;left:43px;top:25px;">Posunout doprava</a>

					<a href="javascript:zoomMap('+');" id="btnZoomIn" name="btn" style="position:absolute;left:13px;top:72px;">Přiblížit</a>
					<a href="javascript:zoomMap('-');" id="btnZoomOut" name="btn" style="position:absolute;left:32px;top:72px;">Oddálit</a>

					<a href="javascript:storeyMap('+');" id="btnStoreyUp" name="btn" style="position:absolute;left:13px;top:96px;">Vyšší podlaží</a>
					<a href="javascript:storeyMap('-');" id="btnStoreyDown" name="btn" style="position:absolute;left:32px;top:96px;">Nižší podlaží</a>
					
<!--					<a href="javascript:buttonsGoTo('R');" id="btnGoToRight" name="btn" style="position:absolute;left:24px;top:25px;">Přesunout do prava</a>
					<a href="javascript:buttonsGoTo('L');" id="btnGoToLeft" name="btn" style="position:absolute;left:24px;top:25px;">Přesunout do leva</a>-->
				</div>

			</div>

		</div>
		<div id="footer">
			<div id="panelZoom" class="ui-widget-header ui-corner-bottom ui-corner-top" style="float:left;"><span class="ui-icon ui-icon-zoomin" style="float:left;"></span><div id="zoomActual" style="float:left;"><?php echo $zoom; ?>%</div>&nbsp;</div>
			<div id="roomInfo" class="ui-widget-header ui-corner-bottom ui-corner-top" style="float:left;"></div>
			<div style="text-align: right;"><span style="font-size:12px"><a href="pdf/napoveda_uzivatel.pdf">Nápověda</a>&nbsp;&nbsp;<span style="font-size:9px">&copy; 2010-2011 Libor Maňák</span></div>
		</div>
	</div>

</body>
</html>