<?php
/*******************************************************************************
			File:					mappng.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/include.php';
require_once 'class/MapDraw.class.php';

$object = requestGETNum('object', 0);
$storey = requestGETNum('storey', 0);
$zoom = requestGETNum('zoom', 100);
$layer = requestGETNum('layer', 1);

$pathfrom = requestGETNum('pathfrom', 1);
$pathtoroom = requestGETText('pathtoroom', '');
$pathtype = requestGETNum('pathtype', 0);

$url = actualURL();

list($width, $height, $type, $attr) = getimagesize($url."get_bgimage.php?object=$object&storey=$storey&layer=$layer");

$map = new MapDraw($width, $height, $zoom);

$map->setBackgroundImage($url."get_bgimage.php?object=$object&storey=$storey&layer=$layer");

$sql = "SELECT jsonmap FROM mapa WHERE objekt_id='$object' AND podlazi='$storey' AND vrstva_id='$layer'";
$query = mysql_query($sql);
if (mysql_num_rows($query)>0) {
	$record = mysql_fetch_array($query);
	$jsondata = $record[0];
}
if (isset($jsondata)) {
	if ($jsondata=="") {
    $jsondata="[]";
	}
	$map->loadMap($jsondata);
}


//=== obarvení místností ===
$sql = "SELECT * FROM mistnost WHERE objekt_id='$object' AND podlazi='$storey'";
$query = mysql_query($sql);
while ($record = mysql_fetch_array($query)) {
	$c=explode(";", $record["coords"]);
	if (count($c) >= 2) { // musí obsahovat minimálně 2 body
		//nastavit první bod jako výchozí bod
		$ca = explode(",", trim($c[0]));
		$xx = trim($ca[0]);
		$yy = trim($ca[1]);
		$x1 = $xx;
		$x2 = $xx;
		$y1 = $yy;
		$y2 = $yy;

		for ($idx = 0; $idx < count($c); ++$idx) {
			$ca = explode(",", trim($c[$idx]));
			$xx = trim($ca[0]);
			$yy = trim($ca[1]);

			if ($xx < $x1) {
				$x1 = $xx;
			}

			if ($xx > $x2) {
				$x2 = $xx;
			}

			if ($yy < $y1) {
				$y1 = $yy;
			}

			if ($yy > $y2) {
				$y2 = $yy;
			}
		}

		$map->fillRoom(array($x1,$x2,$y1,$y2), ucel_bgcolor($record["ucel_id"]) );
	}
}


//=== přidání popisků místností ===
$sql = "SELECT * FROM mistnost WHERE objekt_id='$object' AND podlazi='$storey'";
$query = mysql_query($sql);
while ($record = mysql_fetch_array($query)) {
	$c=explode(";", $record["coords"]);
	if (count($c) >= 2) { // musí obsahovat minimálně 2 body
		//nastavit první bod jako výchozí bod
		$ca = explode(",", trim($c[0]));
		$xx = trim($ca[0]);
		$yy = trim($ca[1]);
		$x1 = $xx;
		$x2 = $xx;
		$y1 = $yy;
		$y2 = $yy;

		for ($idx = 0; $idx < count($c); ++$idx) {
			$ca = explode(",", trim($c[$idx]));
			$xx = trim($ca[0]);
			$yy = trim($ca[1]);

			if ($xx < $x1) {
				$x1 = $xx;
			}

			if ($xx > $x2) {
				$x2 = $xx;
			}

			if ($yy < $y1) {
				$y1 = $yy;
			}

			if ($yy > $y2) {
				$y2 = $yy;
			}
		}

		$map->drawRoomName(array($x1,$x2,$y1,$y2), $record["oznaceni"]);
	}
}


//=== přidání cesty k místnosti ===
if ($pathtoroom!="") {
	//$sql = "SELECT * FROM mistnost WHERE objekt_id='$object' AND podlazi='$storey' AND oznaceni='$pathtoroom'";
	$sql = "SELECT * FROM mistnost WHERE objekt_id='$object' AND oznaceni='$pathtoroom'";
	$query = mysql_query($sql);
	while ($record = mysql_fetch_array($query)) {
	  $where = "";
	  if ($pathtype==2) {
			$where = "AND cesta_typ_id=2";
	  }
	  
	  $sql = "SELECT * FROM cesta WHERE cesta_odkud_id='$pathfrom' AND mistnost_id='{$record["id"]}' $where ORDER BY cesta_typ_id LIMIT 1 ";
    $query2 = mysql_query($sql);
    while ($record2 = mysql_fetch_array($query2)) {
      $datacoords=json_decode($record2["coords"]);
      
      foreach ($datacoords as $key => $value) {
        if ((isset($value->storey)) || (isset($value->coords))) {
          if ($value->storey==$storey) {
						$map->drawPathToRoom($value->coords);
					}
        }
      }
      
    }
	}
}

header("Content-type: image/png");
$map->render();

?>