<?php
/*******************************************************************************
			File:					search.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/include.php';

$s = requestGETText('s', '');
$type = requestGETText('type', '');
$opt = requestGETText('opt', '');
$from = requestGETNum('from', 1);

$s = str_replace(array('"',"'",';',','), "", $s); //odstranění zamítnutých znaků

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<meta name="generator" content="PSPad editor, www.pspad.com">
	<meta name="author" content="Bc. Libor Maňák">
	<meta name="copyright" content="&copy; 2010-2011 Bc. Libor Maňák">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >
	<title>Interaktivní mapa budovy</title>

	<link rel="stylesheet" type="text/css" media="screen" href="css/layout100p.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="css/smoothness/jquery-ui-1.8.11.custom.css" />
	<link rel="stylesheet" href="css/jquery.cluetip.css" type="text/css" />

	<style type="text/css">
    #viewport {
        width: 100%;
        /*height: 400px;*/
        cursor: move;
        overflow: hidden;
        /*background-color: yellow;*/
    }
	</style>

	<script type="text/javascript" src="js/jquery-1.5.min.js"></script>
	<script type="text/javascript" src="js/jquery.metadata.min.js"></script>
	<script type="text/javascript" src="js/jquery.maphilight.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.mousewheel.js"></script>
	<script type="text/javascript" src="js/jquery.timers-1.2.js"></script>
	<script type="text/javascript" src="js/jquery.hoverIntent.js"></script>
	<script type="text/javascript" src="js/jquery.bgiframe.min.js"></script>
	<script type="text/javascript" src="js/jquery.cluetip.js"></script>

	<script type="text/javascript">
	$(function() {
		// Hlídání velikosti viewportu (div pro hranice mapy)
		$(window).resize(function() {
			$("#viewport").height($("#container").height() - $("#content").offset().top - $("#footer").height()-3);
			//$("#viewport").width(); //100%
		});
		$(window).resize();
	});
	</script>
</head>
<body>

	<div id="container">
		<div id="header">
			<div style="height:50px;vertical-align:middle;">
        <span style="float:left;"><div style="position:absolute;left:10px;top:6px;"><img border="0" src="images/utb_logo.gif" width="25" height="37"></div></span>
				<span style="float:left;"><div style="position:absolute;left:50px;top:12px;">
				<h2><b>Interaktivní mapa budovy</b> -
<?php
if ($type=="path") {
	echo "vyhledat cestu";
} else {
	echo "vyhledat místnost";
}
?>
				</h2></div></span>
			</div>
		</div>
		<div id="content">
<?php
if ($type=="path") {
?>
  <div style="width:70%;margin-left:15%; margin-right:15%;">
  <form action="" method="get">
    <input type=hidden name="type" value="path">
		<table border="0">
		<tr>
		  <td>&nbsp;</td>
		  <td style="text-align:right;"><br /><br /><a href="search.php?type=room">hledat místnost</a></td>
		</tr>
		<tr>
		  <td><b>Odkud:</b></td>
		  <td><select name="from"><?php

 	$sql = "SELECT * FROM cesta_odkud ORDER BY nazev";
	$query = mysql_query($sql);
	while ($record = mysql_fetch_array($query)) {
	  $selected = "";
	  if ($record["id"]=="1") {
			$selected = " selected";
		}
	  echo "<option value='{$record["id"]}'$selected>{$record["nazev"]}</option>";
	}
	
?></select></td>
		</tr>
		<tr>
		  <td><b>Kam:</b></td>
		  <td><input type="text" name="s" value="<?php echo $s; ?>"></td>
		</tr>
		<tr>
		  <td>&nbsp;</b></td>
		  <td><input id="wB" type="checkbox" name="opt" value="withoutBarrier" <?php
      if ($opt=="withoutBarrier") {
        echo 'checked="checked"';
      }
			?> /><label for="wB">bezbariérová cesta</label></td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td style="text-align:center;"><input type="submit" value="Vyhledat"></td>
		</tr>
		</table>
	</form>
	</div>
<?php
} else {
?>
  <div style="width:70%;margin-left:15%; margin-right:15%;">
  <form action="" method="get">
		<table border="0">
		<tr>
		  <td>&nbsp;</td>
		  <td style="text-align:right;"><br /><br /><a href="search.php?type=path">hledat cestu</a></td>
		</tr>
		<tr>
		  <td><b>Místnost:</b></td>
		  <td><input type="text" name="s" value="<?php echo $s; ?>"></td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td style="text-align:center;"><input type="submit" value="Vyhledat"></td>
		</tr>
		</table>
	</form>
	</div>
<?php
}
?>
	<div style="width:70%;margin-left:15%; margin-right:15%;">
	<table border="0"><tr><td><br />
<?php
	if ($s!='') {
		$sql = "SELECT * FROM objekt WHERE nazev LIKE '%".mysql_real_escape_string($s)."%'";
		$query = mysql_query($sql);
		
    $objekt_pocet = mysql_num_rows($query);
		if (mysql_num_rows($query)!=0) {
		  echo "<b>Budova:</b>";
			echo "<ul>";
			while ($record = mysql_fetch_array($query)) {
				echo "<li><a href=\"map.php?object={$record["id"]}\">{$record["nazev"]}</a> <i><span style='font-size:12px'>{$record["ulice"]}, {$record["psc"]} {$record["obec"]}</span></i>";
				if ($record["gps"]!="") {
					echo '&nbsp;&nbsp;&nbsp;';
					echo '<a href="http://www.mapy.cz/searchScreen?query='.urlencode($record["gps"]).'" title="Zobrazit polohu budovy"><img src="images/mapa.png" border="0"></a>';
				}
				echo "</li>";
			}
			echo "</ul>";
		}

  	$sql = "SELECT * FROM mistnost WHERE oznaceni LIKE '%".mysql_real_escape_string($s)."%' OR alias_oznaceni LIKE '%".mysql_real_escape_string($s)."%'";
		$query = mysql_query($sql);
    if (mysql_num_rows($query)==0) {
			echo "<b><i>Nebyla nalezena žádná místnost</i></b>";
		}

  	if (mysql_num_rows($query)!=0) {
  	  if (!($objekt_pocet>0)) {
				echo "<b>Místnost:</b>";
				if (mysql_num_rows($query) > 10) {
	        echo "<br /><i>Zadané označení místnosti je příliš obecné, upřesněte jej.</i>";
				} else {
					echo "<ul>";
					while ($record = mysql_fetch_array($query)) {
					  if ($type=="path") {
						  $sql = "SELECT * FROM cesta WHERE cesta_odkud_id='$from' AND mistnost_id='{$record["id"]}'";
						  $pathtype="";
						  if ($opt=="withoutBarrier") {
	              $sql .= " AND cesta_typ_id='2'";
	              $pathtype="&pathtype=2";
							}
							$startPathStorey = cesta_odkud_podlazi($from);
							$query2 = mysql_query($sql);
							if (mysql_num_rows($query2)!=0) {
								echo "<li><a href=\"map.php?object={$record["objekt_id"]}&storey=$startPathStorey&room={$record["oznaceni"]}&pathfrom=$from&pathto={$record["oznaceni"]}$pathtype\">{$record["oznaceni"]}";
								if ($record["alias_oznaceni"]!='') {
					        echo " (<i>".zaklani_alias($record["alias_oznaceni"])."</i>)";
								}
								echo "</a></li>";
								
					    	if (mysql_num_rows($query)==1) {
									echo '<script type="text/javascript">';
					    		echo 'window.location = "map.php?object='.$record["objekt_id"].'&storey='.$startPathStorey.'&room='.$record["oznaceni"].'&pathfrom='.$from.'&pathto='.$record["oznaceni"].$pathtype.'";';
									echo '</script>';
								}
							} else {
								echo "<li><a href=\"map.php?object={$record["objekt_id"]}&storey={$record["podlazi"]}&room={$record["oznaceni"]}\">{$record["oznaceni"]}";
								if ($record["alias_oznaceni"]!='') {
					        echo " (<i>".zaklani_alias($record["alias_oznaceni"])."</i>)";
								}
								echo "</a> <i> cesta nenalezena</i></li>";
							}
						} else {
							echo "<li><a href=\"map.php?object={$record["objekt_id"]}&storey={$record["podlazi"]}&room={$record["oznaceni"]}\">{$record["oznaceni"]}";
							if ($record["alias_oznaceni"]!='') {
				        echo " (<i>".zaklani_alias($record["alias_oznaceni"])."</i>)";
							}
							echo "</a></li>";

				    	if (mysql_num_rows($query)==1) {
								echo '<script type="text/javascript">';
				    		echo 'window.location = "map.php?object='.$record["objekt_id"].'&storey='.$record["podlazi"].'&room='.$record["oznaceni"].'";';
								echo '</script>';
							}
						}

					}
					echo "</ul>";
				}
			}
		}
  }
?>
	</td></tr></table>
	</div>
	
	
		</div>
		<div id="footer">
			<div style="text-align: right;"><a href="pdf/napoveda_uzivatel.pdf">Nápověda</a>&nbsp;&nbsp;<span style="font-size:9px">&copy; 2010-2011 Libor Maňák</span></div>
		</div>
	</div>

</body>
</html>