<?php
/*******************************************************************************
			File:					admin_budova.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/auth.php';
require_once 'include/include.php';
require_once 'class/jqGrid.class.php';

require_once 'include/admin_page.inc.php';

$pageTitle = "Správa budov";



function handleGridData($sender, $args) {
  $page = $_GET['page'];
  $limit = $_GET['rows'];
  $sidx = $_GET['sidx'];
  $sord = $_GET['sord'];
  if (!$sidx)
		$sidx = 1;

  $where = "1=1";
  $from = "objekt";
  $select = "*";

  $result = mysql_query("SELECT COUNT(*) AS count FROM $from WHERE $where");
  $row = mysql_fetch_array($result, MYSQL_ASSOC);
	$count = $row['count'];

	if( $count > 0 ) {
		$total_pages = ceil($count/$limit);
	} else {
		$total_pages = 0;
  }
  if ($page > $total_pages) $page=$total_pages;
	$start = $limit*$page - $limit; // do not put $limit*($page - 1)
	if ($start<0) $start = 0;
	
	$sql = "SELECT $select FROM $from WHERE $where ORDER BY $sidx $sord LIMIT  $start , $limit";

	$result = mysql_query($sql) or die("Could not execute query. ".mysql_error());

	$responseData = new jqGridResponseData($page, $total_pages, $count);

  while($row = mysql_fetch_array($result,MYSQL_ASSOC)) {
    $responseData->addRow($row["id"], true);

    $responseData->addCell($row["nazev"]);
    $responseData->addCell($row["obec"]);
    $responseData->addCell($row["psc"]);
    $responseData->addCell($row["ulice"]);
    $responseData->addCell($row["gps"]);
    $responseData->addCell('<input type="button" value="Podlaží" onclick="window.location = \'admin_podlazi.php?object='.$row["id"].'&source='.encodeSourceURL('admin_budova.php?source='.encodeSourceURL(requestSourceURL())).'\'" />'.
													 '<input type="button" value="Plány" onclick="window.location = \'mapeditor.php?object='.$row["id"].'&source='.encodeSourceURL('admin_budova.php?source='.encodeSourceURL(requestSourceURL())).'\'" />'.
                           '<input type="button" value="Místnosti" onclick="window.location = \'admin_mistnost.php?object='.$row["id"].'&source='.encodeSourceURL('admin_budova.php?source='.encodeSourceURL(requestSourceURL())).'\'" />'
													);
													
  }

	return $responseData;
}

function handleGridOperation($sender, $args) {
  $oper = requestPOSTText("oper");

  if ($oper=='edit') {
    $id = requestPOSTText("id");

		$updateSet=array();

    $updateSet["nazev"] = requestPOSTText("nazev");
    $updateSet["obec"] = requestPOSTText("obec");
    $updateSet["psc"] = requestPOSTText("psc");
    $updateSet["ulice"] = requestPOSTText("ulice");
    $updateSet["gps"] = requestPOSTText("gps");

    $sqlUpdateSet = generateUpdateSet($updateSet);

    if ($sqlUpdateSet!="") {
      $sql = "UPDATE objekt SET $sqlUpdateSet WHERE id='$id'";
      if (!mysql_query($sql)) {
        return false;
      }
    }
  } else if ($oper=='add') {
    $insertSet=array();

    $insertSet["nazev"] = requestPOSTText("nazev");
    $insertSet["obec"] = requestPOSTText("obec");
    $insertSet["psc"] = requestPOSTText("psc");
    $insertSet["ulice"] = requestPOSTText("ulice");
    $insertSet["gps"] = requestPOSTText("gps");

    $sqlInsertSet = generateUpdateSet($insertSet);

    if ($sqlInsertSet!="") {
      $sql = "INSERT INTO objekt SET $sqlInsertSet";
	     //mysql_query("INSERT INTO debug (time, script, get, post) VALUES (NOW(),'gridOperation','".addslashes("---")."','".addslashes($sql)."');") or die('Update error :'.mysql_error());

      if (!mysql_query($sql)) {
        return false;
      }
    }
  } else if ($oper=='del') {
    $id = requestPOSTText("id");

    $sql = "DELETE FROM objekt WHERE id='$id'";
    if (!mysql_query($sql)) {
      return false;
    }
  }

  return true;
}

if ($login->is_logged==1) {

	$grid = new jqGrid("grid", 'handleGridData', 'handleGridOperation');

	$column = new jqGridColumn('nazev');
	$column->setLabel('Název');
	$column->setWidth(80);
	$column->setEditType("text"); //text, textarea, checkbox, select, password, button, image, file, (custom)
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);


	$column = new jqGridColumn('obec');
	$column->setLabel('Obec');
	$column->setWidth(80);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('psc');
	$column->setLabel('PSČ');
	$column->setWidth(50);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('ulice');
	$column->setLabel('Ulice');
	$column->setWidth(150);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);

	$column = new jqGridColumn('gps');
	$column->setLabel('GPS');
	$column->setWidth(200);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);


	$column = new jqGridColumn('operations');
	$column->setLabel('Správa');
	$column->setWidth(200);
	//$column->setEditType("text");
	$column->setEditable(false);
	$column->setSortable(false);
	$grid->addColumn($column);


  generateHeader("Administrace - $pageTitle");
	$grid->generateGrid();
  generateFooter();
  
} else {
  generateHeader("Administrace - $pageTitle");
  $login->show_login_form();
  generateFooter();
}
?>