<?php
/*******************************************************************************
			File:					admin_mistnost_foto.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/auth.php';
require_once 'include/include.php';
require_once 'class/jqGrid.class.php';

$room = requestGETNum('room', 0);

require_once 'include/admin_page.inc.php';

$pageTitle = "Správa místností - Fotky - ".mistnost_oznaceni($room);



function handleGridData($sender, $args) {
	global $room;
	
	$page = $_GET['page'];
  $limit = $_GET['rows'];
  $sidx = $_GET['sidx'];
  $sord = $_GET['sord'];
  if (!$sidx)
		$sidx = 1;

  $where = "mistnost_id='$room'";
  $from = "mistnost_fotka";
  $select = "*";

  $result = mysql_query("SELECT COUNT(*) AS count FROM $from WHERE $where");
  $row = mysql_fetch_array($result, MYSQL_ASSOC);
	$count = $row['count'];

	if( $count > 0 ) {
		$total_pages = ceil($count/$limit);
	} else {
		$total_pages = 0;
  }
  if ($page > $total_pages) $page=$total_pages;
	$start = $limit*$page - $limit; // do not put $limit*($page - 1)
	if ($start<0) $start = 0;

	$sql = "SELECT $select FROM $from WHERE $where ORDER BY $sidx $sord LIMIT  $start , $limit";

	$result = mysql_query($sql) or die("Could not execute query. ".mysql_error());

	$responseData = new jqGridResponseData($page, $total_pages, $count);

  while($row = mysql_fetch_array($result,MYSQL_ASSOC)) {
    $responseData->addRow($row["id"], true);

    $responseData->addCell($row["nazev"]);
    $responseData->addCell($row["popis"]);
    $responseData->addCell('<img src="get_roomfoto.php?id='.$row["id"].'" width="70px" height="70px">');
    
    $sourceUrl="admin_mistnost_foto.php?room=$room".'&source='.generateSourceURL();
		$responseData->addCell('<form enctype="multipart/form-data" action="admin_mistnost_foto_upload.php?room='.$room.'&id='.$row["id"].'&source='.$sourceUrl.'" method="POST"><input name="uploadFile" type="file" /><br /><input type="submit" value="Upload" /></form>');
		

  }

	return $responseData;
}

function handleGridOperation($sender, $args) {
	global $room;
	
  $oper = requestPOSTText("oper");

  if ($oper=='edit') {
    $id = requestPOSTText("id");

		$updateSet=array();

    $updateSet["nazev"] = requestPOSTText("nazev");
    $updateSet["popis"] = requestPOSTText("popis");
    
    $sqlUpdateSet = generateUpdateSet($updateSet);

    if ($sqlUpdateSet!="") {
      $sql = "UPDATE mistnost_fotka SET $sqlUpdateSet WHERE id='$id'";
      if (!mysql_query($sql)) {
        return false;
      }
    }
  } else if ($oper=='add') {
    $insertSet=array();

    $insertSet["mistnost_id"] = $room;
    $insertSet["nazev"] = requestPOSTText("nazev");
    $insertSet["popis"] = requestPOSTText("popis");

    $sqlInsertSet = generateUpdateSet($insertSet);

    if ($sqlInsertSet!="") {
      $sql = "INSERT INTO mistnost_fotka SET $sqlInsertSet";
	     //mysql_query("INSERT INTO debug (time, script, get, post) VALUES (NOW(),'gridOperation','".addslashes("---")."','".addslashes($sql)."');") or die('Update error :'.mysql_error());

      if (!mysql_query($sql)) {
        return false;
      }
    }
  } else if ($oper=='del') {
    $id = requestPOSTText("id");

    $sql = "DELETE FROM mistnost_fotka WHERE id='$id'";
    if (!mysql_query($sql)) {
      return false;
    }
  }

  return true;
}

if ($login->is_logged==1) {

	$grid = new jqGrid("grid", 'handleGridData', 'handleGridOperation');

	$column = new jqGridColumn('nazev');
	$column->setLabel('Název');
	$column->setWidth(100);
	$column->setEditType("text"); //text, textarea, checkbox, select, password, button, image, file, (custom)
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);


	$column = new jqGridColumn('popis');
	$column->setLabel('Popis');
	$column->setWidth(100);
	$column->setEditType("text");
	$column->setEditable(true);
	$column->setSortable(true);
	$grid->addColumn($column);
	
	$column = new jqGridColumn('preview_image');
	$column->setLabel('Náhled fotky');
	$column->setWidth(100);
	$column->setEditType("text");
	$column->setEditable(false);
	$column->setSortable(false);
	$grid->addColumn($column);

	$column = new jqGridColumn('browse_image');
	$column->setLabel('Změna fotky');
	$column->setWidth(250);
	$column->setEditType("text");
	$column->setEditable(false);
	$column->setSortable(false);
	$grid->addColumn($column);


  generateHeader("Administrace - $pageTitle");
	$grid->generateGrid();
  generateFooter();
  
} else {
  generateHeader("Administrace - $pageTitle");
  $login->show_login_form();
  generateFooter();
}
?>