<?php
/*******************************************************************************
			File:					login.class.php
*******************************************************************************/

// začátek třídy login
class login {
	// hodnoty předávané při příhlašování uživatele
	var $login_name;
	var $login_pw;
	var $login_nologout;

	// hodnoty o uživateli
	var $id_user;
	var $user_login;
	var $user_prijmeni;
	var $user_jmeno;
	var $user_email;
	var $user_prava;

	// interní hodnoty
	var $is_logged;
	var $session_login_string;
	var $ip;
	var $last_time;
                                        
	// nastavení délky nečinosti uživatele před odhlášením
	var $checktimelimit;

	// spojení na databázi
	var $table;
	
	// identifikace session
	var $sessionId;
	
	// konstruktor třídy obsahující inicializaci některých proměných
	function login($identification, $timeout /*minut*/){
		$this->sessionId = $identification;
		 
		if (isset($_POST["login_name"])){
			$this->login_name=htmlspecialchars($_POST["login_name"]);
		} else {
		  if (isset($_SESSION[$this->sessionId."_login_name"])) {
				$this->login_name=htmlspecialchars($_SESSION[$this->sessionId."_login_name"]);
			}
		}
		
		if (isset($_POST["login_nologout"])){
			$this->login_nologout=htmlspecialchars($_POST["login_nologout"]);
		} else {
		  if (isset($_SESSION[$this->sessionId."_login_nologout"])) {
				$this->login_nologout=htmlspecialchars($_SESSION[$this->sessionId."_login_nologout"]);
		 	}
		}

		if (isset($_POST["login_pw"])) {
			$this->login_pw=htmlspecialchars($_POST["login_pw"]);
		}

		if (isset($_SESSION[$this->sessionId."_session_login_string"])) {
			$this->session_login_string=htmlspecialchars($_SESSION[$this->sessionId."_session_login_string"]);
		}

    //inj.

		$this->table="user";

		$this->ip=$_SERVER["REMOTE_ADDR"];

		// délka časového limitu v sekundách od posledního přístupu
		$this->checktimelimit=$timeout * 60;  // prepocet na minuty

		$this->logged();
	}

	// přihlášení/odmítnutí uživatele
	function first_login(){
		if ($this->login_name != '') {
			$new_pw=sha1($this->login_pw);

			$query="SELECT session FROM $this->table WHERE `active`='1' AND login LIKE '".$this->login_name."' AND password LIKE '".$new_pw."'";
			$result = @mysql_query($query);
			if (mysql_num_rows($result)==1){
				// ok prilogovat
				$this->session_login_string=sha1(uniqid(rand()));
				$query="UPDATE $this->table SET session='".$this->session_login_string."', ip='$this->ip' WHERE login='".$this->login_name."' AND password='".$new_pw."'";
				$result = mysql_query($query);

				//zapsání času přihlášení uživatele
				$query="UPDATE $this->table SET lasttime=now() WHERE session='".$this->session_login_string."' AND login='".$this->login_name."'";
				$result = @mysql_query($query);

				$_SESSION[$this->sessionId."_session_login_string"]=$this->session_login_string;
				$_SESSION[$this->sessionId."_login_name"]=$this->login_name;
				$_SESSION[$this->sessionId."_login_nologout"]=$this->login_nologout;
				$this->load();
				return 1;
			} else {
				//zobrazit hlasku o neuspesnem logovani
				return 0;
			}
		} else {
			// nezadano username ...
			return 0;
		}
	}

	// odhlášení uživatele
	function logout(){
		$query="UPDATE $this->table SET session='".sha1(uniqid(rand()))."' WHERE session='".$this->session_login_string."' and ip='$this->ip'";
		$result = mysql_query($query);

		$this->session_login_string=sha1(uniqid(rand()));
		$this->login_name=sha1(uniqid(rand()));
		$this->login_nologout=sha1(uniqid(rand()));
		
		$_SESSION[$this->sessionId."_session_login_string"]=$this->session_login_string;
		$_SESSION[$this->sessionId."_login_name"]=$this->login_name;
		$_SESSION[$this->sessionId."_login_nologout"]=$this->login_nologout;
						
		//session_unset();
		//session_destroy();  -- vetsinou neni nutno, server dela sam
		$this->logged();
		
		//edit: - 
		$this->is_logged=0;
	}

	// testování zda je uživatel již přihlášen
	function logged() {   
		if ($this->login_nologout=='1') {
			$query="SELECT login FROM $this->table WHERE session='".$this->session_login_string."' AND login='".$this->login_name."' AND ip='".$this->ip."'  AND lasttime>=DATE_SUB(now(),INTERVAL 10 HOUR)";
		} else {
			$query="SELECT login FROM $this->table WHERE session='".$this->session_login_string."' AND login='".$this->login_name."' AND ip='".$this->ip."'  AND lasttime>=DATE_SUB(now(),INTERVAL ".$this->checktimelimit." SECOND)";
		}

		$result = @mysql_query($query);
		$data = @mysql_fetch_array($result);

		if (mysql_num_rows($result)==1) {
			$query="UPDATE $this->table SET lasttime=now() WHERE session='".$this->session_login_string."' AND login='".$this->login_name."'";
			$result = @mysql_query($query);

			$this->load();
			return (1);
		} else {
			return (0);
		}
	}

	// naplnění proměných
	function load(){	
		$query="SELECT * FROM $this->table WHERE session='".$this->session_login_string."' AND ip='$this->ip' AND login='".$this->login_name."'";
		$result = @mysql_query($query);
		$data = @mysql_fetch_array($result);
		if (mysql_num_rows($result)==1){
			$this->id_user=$data['id'];
			
			$this->user_login=$data['login'];
			$this->user_prijmeni=$data['prijmeni'];
			$this->user_jmeno=$data['jmeno'];
			$this->user_email=$data['email'];
			$this->user_prava=$data['prava'];
			//$this->lasttime=$data['lasttime'];

			$this->is_logged=1;
		} else {
			$this->is_logged=0;
		}

	}

	// zobrazení formuláře pro přihlášení
	function show_login_form() {
		?>
		        		
		<form method="post">
		
     <fieldset align="center">
     <legend>Přihlášení</legend>
     <TABLE align="center">
     <TR>
		 <TD><label for="login_name"><?php echo "Login"; ?>:</label></TD>
		 <TD><input id="inputtext1" type="text" name="login_name" value="" /></TD>
		 </TR>
		 <TR>		 
		 <TD><label for="login_pw"><?php echo "Heslo"; ?>:</label></TD>
		 <TD><input id="inputtext2" type="password" name="login_pw" value="" /></TD>
		 </TR>  		 
		 <TR>		 
		 <TD colspan=2><input type="checkbox" name="login_nologout" value="1" /><label for="login_nologout">Odhlásit až po zavření prohlížeče</label></TD>
		 </TR> 		 
		 <TR>		  
		 <TD>&nbsp;</TD><TD align="center"><input id="inputsubmit1" type="submit" name="inputsubmit1" value="<?php echo "Přihlásit" ?>" alt="" /></TD>
		 </TR>  		 
		 </TABLE>
     
		 </fieldset> 

		</form>
		<?php
	}


} // konec třídy login
?>
