<?php
/*******************************************************************************
			File:					admin_page.inc.php
			Author:				Libor Maňák
*******************************************************************************/


function generateHeader($windowSubtitle = "Administrace") {
global $login;

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<meta name="generator" content="PSPad editor, www.pspad.com">
	<meta name="author" content="Bc. Libor Maňák">
	<meta name="copyright" content="&copy; 2010-2011 Bc. Libor Maňák">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >
	<title>Interaktivní mapa budovy - <?php echo $windowSubtitle; ?></title>

	<link rel="stylesheet" type="text/css" media="screen" href="css/layout100p.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="css/smoothness/jquery-ui-1.8.11.custom.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="css/ui.jqgrid.css" />

 <style type="text/css">
		#radio {
			font-size: 75%;
		}

    #viewport {
        width: 100%;
        /*height: 400px;*/
        cursor: move;
        overflow: hidden;
        /*background-color: yellow;*/
    }
	</style>

	<script type="text/javascript" src="js/wz_jsgraphics.js"></script>
	<script type="text/javascript" src="js/jquery-1.5.min.js"></script>
	<script type="text/javascript" src="js/jquery.metadata.min.js"></script>
	<script type="text/javascript" src="js/jquery.maphilight.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.mousewheel.js"></script>
	<script type="text/javascript" src="js/jquery.timers-1.2.js"></script>

	<script src="js/i18n/grid.locale-cs.js" type="text/javascript"></script>
	<script type="text/javascript">
	$.jgrid.no_legacy_api = true;
	$.jgrid.useJSON = true;
	</script>
	<script src="js/jquery.jqGrid.min.js" type="text/javascript"></script>

	<script type="text/javascript">
	$(function() {
		// Hlídání velikosti viewportu (div pro hranice mapy)
		$(window).resize(function() {
			$("#viewport").height($("#container").height() - $("#content").offset().top - $("#footer").height()-3);
			//$("#viewport").width(); //100%
		});
		$(window).resize();
	});
	</script>
</head>
<body>

	<div id="container">
		<div id="header">
			<div style="height:50px;vertical-align:middle;">
        <span style="float:left;"><div style="position:absolute;left:10px;top:6px;"><img border="0" src="images/utb_logo.gif" width="25" height="37"></div></span>
				<span style="float:left;"><div style="position:absolute;left:50px;top:12px;">
				<h2><b>Interaktivní mapa budovy</b> - <?php echo $windowSubtitle; ?></h2></div></span>

<?php
if ($login->is_logged==1) {
?>

			<div  style="text-align: right;">

				  <div style="position:relative;left:-15px;">
<?php
	echo '<i>'.$login->user_jmeno." ".$login->user_prijmeni.'</i>';
?>
      			<a href='?logout=1'>Odhlásit</a>
					</div>

				</div>

<?php
}
?>
			</div>
		</div>
		<div id="content">
<?php
}



function generateFooter() {
?>
		</div>
		<div id="footer">
<?php
	if (requestSourceURL()!="") {
?>
		  <div id="panelBack" style="float:left;font-size:60%" >&nbsp;<< Zpět&nbsp;</div>
			<script type="text/javascript">
		  $(function() {
				$("#panelBack").button();
				$("#panelBack").click(function() { window.location = "<?php echo requestSourceURL(); ?>"; });
			});
			</script>
<?php
	}
?>
			<div style="text-align: right;"><a href="pdf/napoveda_spravce.pdf">Nápověda</a>&nbsp;&nbsp;<span style="font-size:9px">&copy; 2010-2011 Libor Maňák</span></div>
		</div>
	</div>

</body>
</html>
<?php
}
?>