<?php
/*******************************************************************************
			File:					interactivemap.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/include.php';

$object = requestGETNum('object', 5);
$storey = requestGETNum('storey', 1);
$zoom = requestGETNum('zoom', 100);
$layer = requestGETNum('layer', 1);

$pathfrom = requestGETNum('pathfrom', 1);
$pathto = requestGETText('pathto', '');
$pathtype = requestGETNum('pathtype', 0);

$editor = requestGETNum('editor', 0);

if ($editor==0) {
	$room_found=false;
	$room = requestGETText('room', '');
}

$mapURL = actualURL()."mappng.php?object=$object&storey=$storey&pathfrom=$pathfrom&pathtoroom=$pathto&pathtype=$pathtype&zoom=$zoom&sid=".base64_encode(rand());

//$mapURL = "data:image/png;base64,".base64_encode(file_get_contents($mapURL));

list($mapWidth, $mapHeight, $type, $attr) = getimagesize($mapURL);
echo '<img border="0" class="map" id="imgMap" src="'.$mapURL.'" width="'.$mapWidth.'" height="'.$mapHeight.'" usemap="#mapa">';

$posFound="";

if ($editor==0) {
	echo '<map name="mapa">';
	$sql = "SELECT * FROM mistnost WHERE objekt_id='$object' AND podlazi='$storey'";
	$query = mysql_query($sql);
	while ($record = mysql_fetch_array($query)) {
		$record["coords"]=str_replace(";",",",$record["coords"]);
		if ($zoom==100) {
			$c=$record["coords"];
		} else {
			$ca=explode(",", $record["coords"]);
			$c="";
			for ($idx = 0; $idx < count($ca); ++$idx) {
				if ($c!='') {
					$c .= ",";
				}

				$c .= (trim($ca[$idx])*($zoom/100));
			}
		}
		if ($record["oznaceni"]==$room) {        //0481BF
			$class="";//" {stroke:false,fillColor:'FF0000',fillOpacity:0.2,alwaysOn:true,linked:1}";
			//$room_found=true;
			$posFound=$c;
		} else {
			$class="";
		}
		echo '<area onclick="clickRoom('.$record["id"].');" title="'.$record["oznaceni"].'" shape="poly" coords="'.$c.'" class="showtip'.$class.'" rel="roominfo.php?id='.$record["id"].'">';
	}

	echo '</map>';
	
	if ($posFound!="") {
	  $ca=explode(",", $posFound);
	  $arrowwidth=30;
	  $arrowheight=51;
	  
		$minX=$ca[0];
		$maxX=$ca[0];
		$minY=$ca[1];
		$maxY=$ca[1];
		for ($idx = 0; $idx < count($ca); $idx=$idx+2) {
		  if ($minX > $ca[$idx]) {
        $minX = $ca[$idx];
			}
			
		  if ($maxX < $ca[$idx]) {
        $maxX = $ca[$idx];
			}
			
			
		  if ($minY > $ca[$idx+1]) {
        $minY = $ca[$idx+1];
			}

		  if ($maxY < $ca[$idx+1]) {
        $maxY = $ca[$idx+1];
			}
			
		}
		
		$ca[0] = $minX + round(($maxX - $minX)/2);
		$ca[1] = $minY + round(($maxY - $minY)/2);
	  
	  $cx=$ca[0]-round($arrowwidth/2);
	  $cy=$ca[1]-$arrowheight;
	  
		echo '<div id="foundRoom" style="left:'.($cx).'px;top:'.($cy).'px;width:'.$arrowwidth.'px;height:'.$arrowheight.'px;position: absolute;background-image: url(images/nalezeno.png);background-repeat:no-repeat;">';
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b><span style='background-color:#C0504D;'>$room</span></b>";
		echo '</div>';

		echo '<script type="text/javascript">';
		echo '$("#foundRoom").effect("bounce", {distance:100, times:10}, 800);';
		echo '</script>';
	}
	
	echo "\n\n";
	
	// interaktivní prvky
	$sql = "SELECT jsonmap FROM mapa WHERE objekt_id='$object' AND podlazi='$storey' AND vrstva_id='$layer'";
	$query = mysql_query($sql);
	if (mysql_num_rows($query)>0) {
		$record = mysql_fetch_array($query);
		$jsondata = $record[0];
	}
	if (isset($jsondata)) {
		if ($jsondata=="") {
	    $jsondata="[]";
		}

		$data=json_decode($jsondata);

		foreach ($data as $key => $value) {
			if ($value->coords!="") {
			  if ($value->type=="sign") {
          $c = explode(",", $value->coords);
          
          $c[0] = (trim($c[0])*($zoom/100));
          $c[1] = (trim($c[1])*($zoom/100));
          
          if (znacka_tooltip($value->id)!="") {
						echo '<div title="'.znacka_tooltip($value->id).'" style="left:'.$c[0].'px;top:'.$c[1].'px;width:16px;height:16px;position: absolute;">';
						echo '&nbsp;&nbsp;&nbsp;';
						echo '</div>';
					}
					
				}

			}
		}

	}
	
	//POKUD JE VYHLEDÁVÁNA TRASA - a jedná se o více podlažní cestu
	//přidání tlačítka pro přehod na určité podlaží
	if ($pathto!="") {
	  $sql = "SELECT * FROM mistnost WHERE objekt_id='$object' AND oznaceni='$pathto'";
		$query = mysql_query($sql);
		while ($record = mysql_fetch_array($query)) {
		  $where = "";
		  if ($pathtype==2) {
				$where = "AND cesta_typ_id=2";
		  }
	  
		  $sql = "SELECT * FROM cesta WHERE cesta_odkud_id='$pathfrom' AND mistnost_id='{$record["id"]}' $where ORDER BY cesta_typ_id LIMIT 1 ";
	    $query2 = mysql_query($sql);
	    while ($record2 = mysql_fetch_array($query2)) {
	      $datacoords=json_decode($record2["coords"]);

				$idx=-1;
	      foreach ($datacoords as $key => $value) {
	        if ((isset($value->storey)) || (isset($value->coords))) {
	          if ($value->storey==$storey) {
							$idx = $key;
						}
	        }
	      }
	      
	      if ($idx > 0) {
          $cc = explode(";", $datacoords[$idx]->coords);
          $c = explode(",", $cc[0]);
          $c[0] = (trim($c[0])*($zoom/100));
          $c[1] = (trim($c[1])*($zoom/100));
          
          echo '<a href="javascript:storeyMap('.$datacoords[$idx-1]->storey.');" id="btnGoToDown" name="btn" style="position:absolute;left:'.($c[0]-10).'px;top:'.($c[1]-20).'px;font-size:50%;">Pokračovat do '.$datacoords[$idx-1]->storey.'. podlaží</a>';
          
          echo "<script>$('#btnGoToDown').button({icons: {primary:'ui-icon-arrowreturnthick-1-s'},text: false});</script>";
          
					/*echo '<div style="left:'.$c[0].'px;top:'.$c[1].'px;width:16px;height:16px;position: absolute;" title="'.znacka_tooltip(0).'">xx';
					echo '</div>';*/
					
					//echo "dolu na podlazi: ".$datacoords[$idx-1]->storey."( $c[0] , $c[1] )";
				}
				
				if ($idx + 1 < count($datacoords)) {
          $cc = explode(";", $datacoords[$idx]->coords);
          $c = explode(",", $cc[count($cc)-1]);
          $c[0] = (trim($c[0])*($zoom/100));
          $c[1] = (trim($c[1])*($zoom/100));
          
          echo '<a href="javascript:storeyMap('.$datacoords[$idx+1]->storey.');" id="btnGoToUp" name="btn" style="position:absolute;left:'.($c[0]-10).'px;top:'.($c[1]-20).'px;font-size:50%;">Pokračovat do '.$datacoords[$idx+1]->storey.'. podlaží</a>';
          
          echo "<script>$('#btnGoToUp').button({icons: {primary:'ui-icon-arrowreturnthick-1-n'},text: false});</script>";
          
					/*echo '<div style="left:'.$c[0].'px;top:'.$c[1].'px;width:16px;height:16px;position: absolute;" title="'.znacka_tooltip(0).'">xx';
					echo '</div>';*/
					
					//echo "nahoru na podlazi: ".$datacoords[$idx+1]->storey."( $c[0] , $c[1] )";
				}

	    }
		}
	
	}
	
} else if ($editor==1) {
	echo '<div id="mapaobjekty" class="editMap">';
	echo '</div>';

	echo '<div id="viewport_image_draw">';
	echo '</div>';
}
?>