/*******************************************************************************
			File:					viewport.zoomable.php
			Author:				Libor Maňák
*******************************************************************************/

function resetTimer() {
	$("#viewport").stopTime("zoom");
	$("#viewport").oneTime(300, "zoom", function() {
		zoomableEventZoom();
	});
}

function zoomableZoom(val) {
	zoomableEventFirst();

	var beforeZoomValue = zoom_actual;

	zoom_actual += val;

	if (zoom_actual > zoom_max) {
		zoom_actual = zoom_max;
	} else if (zoom_actual < zoom_min) {
		zoom_actual = zoom_min;
	}

	if (beforeZoomValue != zoom_actual) {
		zoomableEventBeforeZoom();
		resetTimer();
	}
}

$(function() {
	$("#viewport").mousewheel(function(objEvent, intDelta) {
		if (intDelta > 0) {
			zoomableZoom(+10);
		} else if (intDelta < 0) {
			zoomableZoom(-10);
		}
	});
});